import { ICryptoUtils } from "@snickerdoodlelabs/node-utils";
import { ethers } from "ethers";
import { ConsentContract } from "../implementations/ConsentContract.js";
import { ConsentFactoryContract } from "../implementations/ConsentFactoryContract.js";
export declare class Contracts {
    protected signer: ethers.Wallet;
    protected signer1: ethers.Wallet;
    protected cryptoUtils: ICryptoUtils;
    constructor(signer: ethers.Wallet, signer1: ethers.Wallet, cryptoUtils: ICryptoUtils);
    factoryContractPure: ethers.Contract;
    factoryContract: ConsentFactoryContract;
    consentContract: ConsentContract;
    consentContractNoPerms: ConsentContract;
    consentContract2: ConsentContract;
    consentContract3: ConsentContract;
}
//# sourceMappingURL=contracts.d.ts.map